<?php
require_once("functions.php");

$errori_input= array(); 
$sql_clienti = "SELECT * FROM clienti WHERE scadenza <= NOW()"; 
list($status_clienti,$contenuto_clienti,$nrows_clienti) = read_db_pdo($sql_clienti);
foreach ($contenuto_clienti as $cliente) {
	$username_c = $cliente["username"];
	$id_cliente = $cliente["id_cliente"];
	$stato = $cliente["stato"];
	if ($stato ==1){
		if ( empty($errori_input)) {
			try {
				$db->beginTransaction();
				$array_scaduto_linea = array(
											'id_cliente' => $id_cliente,
											'stato' => 0
											);
				$sql_scaduto_linea="UPDATE clienti SET stato=:stato WHERE id_cliente=:id_cliente";
				list($status_sql_scaduto_linea,$nrows_scaduto_linea) = write_db_pdo_trans($sql_scaduto_linea,$array_scaduto_linea);
				log_operazione(1, "Utente [<strong class='text-danger'>$username_c</strong>] disabilitato per scadenza");
				$db->commit(); 
			} catch(WriteDBException $e) {
				$db->rollBack();
				$pdo_error = $e->getMessage();
				echo "errore db 1 $pdo_error ";
				exit;
			} catch(ReadDBException $e) {
				$db->rollBack();
				$pdo_error = $e->getMessage();
				echo "errore db 2 $pdo_error ";
				exit;
			}						 
		}
	}
}
if (!empty($errori_input)) {
	foreach ($errori_input as $errore) {
		echo $errore."\n";
		log_operazione(1, "Errore durante l'Aggiornamento Scaduti - $errore");
	}
	exit; 
}	
echo "aggiornamento scadenze eseguito";
?>